cURL
curl --request GET \
--url https://api.getjusto.com/api/v2/coupon/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getjusto.com/api/v2/coupon/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getjusto.com/api/v2/coupon/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"_id": "<string>",
"websiteId": "<string>",
"name": "<string>",
"description": "<string>",
"type": [],
"percentageOff": 123,
"totalRedemptions": 123,
"active": true,
"externalId": "ID_EXTERNO",
"onlyForProductsWithoutDiscount": true,
"requirePhoneVerification": true,
"dontApplyDiscountToOptions": true,
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"isHidden": true,
"useProductExternalIdAsReference": true,
"allowedEmails": [
"<string>"
],
"discountAmount": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"fromDate": "2023-11-07T05:31:56Z",
"maxPercentageOffDiscount": 123,
"maxRedemptions": 123,
"maxRedemptionsPerUser": 123,
"maxRedemptionsPerUserPerDay": 123,
"maximumOrderPrice": 123,
"minimumOrderPrice": 123,
"isBirthdayCoupon": true,
"onlyRedeemOnBirthday": true,
"onlyForCertainCreditCard": true,
"onlyForNewUsers": "<string>",
"requireChannels": [
"<string>"
],
"requiredBINs": [
"<string>"
],
"requiresMenusIds": [
"<string>"
],
"requiresPaymentTypes": [
"<string>"
],
"requiresStoresIds": [
"<string>"
],
"schedule": {
"closedUntilDate": [
"2023-11-07T05:31:56Z"
],
"closedDays": [
"2023-11-07T05:31:56Z"
],
"availableAtPeriods": true,
"openPeriods": [
{
"daysOfWeek": [
"2023-11-07T05:31:56Z"
],
"fromMinute": 123,
"toMinute": 123
}
]
},
"scheduleAtUse": {
"closedUntilDate": [
"2023-11-07T05:31:56Z"
],
"closedDays": [
"2023-11-07T05:31:56Z"
],
"availableAtPeriods": true,
"openPeriods": [
{
"daysOfWeek": [
"2023-11-07T05:31:56Z"
],
"fromMinute": 123,
"toMinute": 123
}
]
}
}
}Cupones
Obtener el detalle de un cupón
Usa este método para obtener el detalle de un cupón.
GET
/
coupon
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Corresponde al identificador del cupón.
⌘I